-- $LastChangedDate: 2008-12-26 21:33:34 -0500 (Fri, 26 Dec 2008) $
-- Definitions.

defs = {
	HUD_TICK_FREQ     = 250,
	ACTOR_TICK_FREQ   = 25,
	GAME_TICK_FREQ    = 0,
	MISSION_TICK_FREQ = 25,

	VIEW_OUTLINE_COLOR_DISABLED = RGBA( 0.4, 0.4, 0.4, 1.0 ),  -- gray
	VIEW_OUTLINE_COLOR_ENABLED  = RGBA( 1.0, 1.0, 0.6, 1.0 ),  -- gold

	HUD_STATUS_NO_RADAR_LOCK = "NO LOCK",
	HUD_STATUS_MISSILE_WARNING = "MISSILE WARN!",
	HUD_STATUS_MISSILE_MALFUNCTION = "MISSILE MALFUNC",

	AIRCRAFT_RADAR_RANGE_METERS  = 2400.0,  -- give player a chance
	SAM_RADAR_RANGE_METERS       = 2050.0,
}

-- Wimp mode.
if ( sim.argvMap["-wimp"] or sim.argvMap["-cheat"] ) then
	defs.SAM_RADAR_RANGE_METERS = 10.0
end
